#!/usr/bin/env python2.4
# Copyright (C) 2005-2008 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""A plugin for Bazaar for changing Merge Proposals to submit to Tarmac."""

from distutils.core import setup
import os

# Get version number from this copy of bzr-tarmacland:
globals = {}
execfile(os.path.join(os.path.dirname(__file__), '__init__.py'), globals)
version = globals['__version__']
del globals

setup(
    name='tarmac-land',
    version=version,
    maintainer='Ursula Junque',
    maintainer_email='ursinha@canonical.com',
    description='bzr plugin to change merge proposals for Tarmac processing, entirely based on bzr-pqm.',
    license='GNU GPL v2',
    packages=['bzrlib.plugins.tarmac_land',
        'bzrlib.plugins.tarmac_land.tests'],
    package_dir={'bzrlib.plugins.tarmac_land': '.'},
)

